Get Credential by NFT ID
curl --request GET \
--url https://staging.crossmint.com/api/v1-alpha1/credentials/templates/{collectionId}/nfts/{id}/credentials \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/credentials/templates/{collectionId}/nfts/{id}/credentials"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/credentials/templates/{collectionId}/nfts/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/Credential"
}{
"error": "Credential not issued yet, wait for the mint to complete."
}Verifiable Credentials
Get Credential by NFT ID
Get a verifiable credential by the ID associated with the minted NFT.
This ID will have the format: <UUID>. For example: d7eb777b-e9b4-4f34-ab5f-ce199111166a
API scope required credentials.read. This endpoint will not work with a client side API key.
GET
/
v1-alpha1
/
credentials
/
templates
/
{collectionId}
/
nfts
/
{id}
/
credentials
Get Credential by NFT ID
This is an alpha API and subject to change.
Authorizations
Key obtained from the Crossmint developer console, reflecting the API scope granted.
Path Parameters
The credential's template id.
UUID of the NFT returned in the NFT creation response. Format is: <UUID>.
Response
Success.
The credential object
Was this page helpful?
⌘I

